summaryrefslogtreecommitdiffstats
path: root/python/pychm
diff options
context:
space:
mode:
author Robby Workman <rworkman@slackbuilds.org>2011-03-16 01:13:49 -0500
committer Robby Workman <rworkman@slackbuilds.org>2011-03-20 12:33:01 -0500
commit7a1b4848a3d34a263544fadf08178c91c12fbad0 (patch)
tree8987d0fc908e371dfa87445425f59c7514075b37 /python/pychm
parent987d45e99a299c3b24418b2976e8ec9d5f3bf404 (diff)
downloadslackbuilds-7a1b4848a3d34a263544fadf08178c91c12fbad0.tar.gz
slackbuilds-7a1b4848a3d34a263544fadf08178c91c12fbad0.tar.xz
python/*: Moved a lot of Python stuff here
The criteria for whether something "belongs" in Development or Libraries or Python or ... is admittedly arbitrary. As a general rule, if it could be either Libraries or Python, it's Python. Otherwise, pick one and we'll go from there... Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'python/pychm')
-rw-r--r--python/pychm/README4
-rw-r--r--python/pychm/pychm.SlackBuild76
-rw-r--r--python/pychm/pychm.info10
-rw-r--r--python/pychm/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/python/pychm/README b/python/pychm/README
new file mode 100644
index 0000000000..6a4e251f36
--- /dev/null
+++ b/python/pychm/README
@@ -0,0 +1,4 @@
+PyCHM is a package that provides bindings for Jed Wing's CHMLIB
+library. The chm package contains four modules, namely chm.chm,
+chm.chmlib, chm.extra and chm._chmlib. chm.chmlib is a low level
+wrapper module around the API provided by the C library chmlib.
diff --git a/python/pychm/pychm.SlackBuild b/python/pychm/pychm.SlackBuild
new file mode 100644
index 0000000000..f001b098af
--- /dev/null
+++ b/python/pychm/pychm.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for PyCHM
+
+# Written by João Felipe Santos (joao.eel@gmail.com)
+
+# Copyright (c) 2009 João Felipe Santos
+#
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
+#
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
+#
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
+
+PRGNAM=pychm
+VERSION=${VERSION:-0.8.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+python setup.py build
+python setup.py install --root $PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog NEWS PKG-INFO README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/pychm/pychm.info b/python/pychm/pychm.info
new file mode 100644
index 0000000000..e7d0b8a167
--- /dev/null
+++ b/python/pychm/pychm.info
@@ -0,0 +1,10 @@
+PRGNAM="pychm"
+VERSION="0.8.4"
+HOMEPAGE="http://gnochm.sourceforge.net/pychm.html"
+DOWNLOAD="http://downloads.sourceforge.net/gnochm/pychm-0.8.4.tar.gz"
+MD5SUM="ff7f0baf94290c44263a1618e7e6a116"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Joo Felipe Santos"
+EMAIL="joao.eel[at]gmail.com"
+APPROVED="rworkman"
diff --git a/python/pychm/slack-desc b/python/pychm/slack-desc
new file mode 100644
index 0000000000..ce8923d0e3
--- /dev/null
+++ b/python/pychm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+pychm: PyCHM (Python bindings for CHMLIB)
+pychm: PyCHM is a package that provides bindings for Jed Wing's CHMLIB
+pychm: library. The chm package contains four modules, namely chm.chm,
+pychm: chm.chmlib, chm.extra and chm._chmlib. chm.chmlib is a low level
+pychm: wrapper module around the API provided by the C library chmlib.
+pychm:
+pychm: Homepage: http://gnochm.sourceforge.net/pychm.html
+pychm:
+pychm:
+pychm:
+pychm: